<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.commerce.internal.search.CommerceOrderBatchReindexerImpl" enabled="false" immediate="true">
  <service>
    <provide interface="com.liferay.commerce.internal.search.CommerceOrderBatchReindexer"/>
  </service>
  <reference name="commerceOrderLocalService" interface="com.liferay.commerce.service.CommerceOrderLocalService" field="commerceOrderLocalService"/>
  <reference name="indexerDocumentBuilder" interface="com.liferay.portal.search.indexer.IndexerDocumentBuilder" target="(indexer.class.name=com.liferay.commerce.model.CommerceOrder)" field="indexerDocumentBuilder"/>
  <reference name="indexerWriter" interface="com.liferay.portal.search.indexer.IndexerWriter" target="(indexer.class.name=com.liferay.commerce.model.CommerceOrder)" field="indexerWriter"/>
  <implementation class="com.liferay.commerce.internal.search.CommerceOrderBatchReindexerImpl"/>
</scr:component>
